[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.FPOAttachObserver

Add an observer to the list of observers

## Declaration

Source position: classesh.inc line 329

`public procedure TList.FPOAttachObserver(`
`AObserver: TObject`
`);`

## Description

FPOAttachObserver is part of the implementation of the IFPObserved interface in Tlist. It adds a new observer to the list of observers. Calling this multiple times will add the observed object multiple times to the list.

## Errors

An EObserver exception may be raised if AObject does not implement the IFPObserver interface.

## See also

IFPObserver |  | Interface for an object to observe other objects.
IFPObserved.FPOAttachObserver |  | Attach a new observer to the object
IFPObserved |  | Interface implemented by an object that can be observed.

Documentation generated on: Feb 26 2014